Open CASCADE Technology: TopoDSToStep_WireframeBuilder Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
TopoDSToStep_WireframeBuilder Class Reference

This builder Class provides services to build a ProSTEP Wireframemodel from a Cas.Cad BRep. More...

`#include <TopoDSToStep_WireframeBuilder.hxx>`

Inheritance diagram for TopoDSToStep_WireframeBuilder:
[legend]

## Public Member Functions
| TopoDSToStep_WireframeBuilder ()
| TopoDSToStep_WireframeBuilder (const TopoDS_Shape &S, TopoDSToStep_Tool &T, const Handle< Transfer_FinderProcess > &FP)
void | Init (const TopoDS_Shape &S, TopoDSToStep_Tool &T, const Handle< Transfer_FinderProcess > &FP)
TopoDSToStep_BuilderError | Error () const
const Handle < TColStd_HSequenceOfTransient > & | Value () const
Standard_Boolean | GetTrimmedCurveFromEdge (const TopoDS_Edge &E, const TopoDS_Face &F, MoniTool_DataMapOfShapeTransient &M, Handle< TColStd_HSequenceOfTransient > &L) const
| Extraction of Trimmed Curves from TopoDS_Edge for the Creation of a GeometricallyBoundedWireframeRepresentation. More...
Standard_Boolean | GetTrimmedCurveFromFace (const TopoDS_Face &F, MoniTool_DataMapOfShapeTransient &M, Handle< TColStd_HSequenceOfTransient > &L) const
| Extraction of Trimmed Curves from TopoDS_Face for the Creation of a GeometricallyBoundedWireframeRepresentation. More...
Standard_Boolean | GetTrimmedCurveFromShape (const TopoDS_Shape &S, MoniTool_DataMapOfShapeTransient &M, Handle< TColStd_HSequenceOfTransient > &L) const
| Extraction of Trimmed Curves from any TopoDS_Shape for the Creation of a GeometricallyBoundedWireframeRepresentation. More...
Public Member Functions inherited from TopoDSToStep_Root
Standard_Real & | Tolerance ()
| Returns (modifiable) the tolerance to be used for writing If not set, starts at 0.0001. More...
Standard_Boolean | IsDone () const

## Additional Inherited Members
Protected Member Functions inherited from TopoDSToStep_Root
| TopoDSToStep_Root ()
Protected Attributes inherited from TopoDSToStep_Root
Standard_Real | toler
Standard_Boolean | done

## Detailed Description

This builder Class provides services to build a ProSTEP Wireframemodel from a Cas.Cad BRep.

## Constructor & Destructor Documentation

TopoDSToStep_WireframeBuilder::TopoDSToStep_WireframeBuilder | ( |  | ) |

TopoDSToStep_WireframeBuilder::TopoDSToStep_WireframeBuilder | ( | const TopoDS_Shape & | S,
|  | TopoDSToStep_Tool & | T,
|  | const Handle< Transfer_FinderProcess > & | FP
| ) |  |

## Member Function Documentation

TopoDSToStep_BuilderError TopoDSToStep_WireframeBuilder::Error | ( |  | ) | const

Standard_Boolean TopoDSToStep_WireframeBuilder::GetTrimmedCurveFromEdge | ( | const TopoDS_Edge & | E,
|  | const TopoDS_Face & | F,
|  | MoniTool_DataMapOfShapeTransient & | M,
|  | Handle< TColStd_HSequenceOfTransient > & | L
| ) |  | const

Extraction of Trimmed Curves from TopoDS_Edge for the Creation of a GeometricallyBoundedWireframeRepresentation.

Standard_Boolean TopoDSToStep_WireframeBuilder::GetTrimmedCurveFromFace | ( | const TopoDS_Face & | F,
|  | MoniTool_DataMapOfShapeTransient & | M,
|  | Handle< TColStd_HSequenceOfTransient > & | L
| ) |  | const

Extraction of Trimmed Curves from TopoDS_Face for the Creation of a GeometricallyBoundedWireframeRepresentation.

Standard_Boolean TopoDSToStep_WireframeBuilder::GetTrimmedCurveFromShape | ( | const TopoDS_Shape & | S,
|  | MoniTool_DataMapOfShapeTransient & | M,
|  | Handle< TColStd_HSequenceOfTransient > & | L
| ) |  | const

Extraction of Trimmed Curves from any TopoDS_Shape for the Creation of a GeometricallyBoundedWireframeRepresentation.

void TopoDSToStep_WireframeBuilder::Init | ( | const TopoDS_Shape & | S,
|  | TopoDSToStep_Tool & | T,
|  | const Handle< Transfer_FinderProcess > & | FP
| ) |  |

const Handle< TColStd_HSequenceOfTransient >& TopoDSToStep_WireframeBuilder::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- TopoDSToStep_WireframeBuilder.hxx